

<div class="mat-app-background basic-container">
    <div class="w3-panel w3-round-small w3-teal">
        <h3>products List <button routerLink="/addproducts" class="w3-button w3-green custom-button"><i class="w3-medium  fa fa-plus"></i> Add New products</button></h3>
    </div>

    <div class="example-header">
        <mat-form-field>
          <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
        </mat-form-field>
      </div>
      
      <table mat-table [dataSource]="Product" class="mat-elevation-z8" matSort>

        <!--- Note that these columns can be defined in any order.
              The actual rendered columns are set as a property on the row definition" -->
      
        <!-- Position Column -->
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> No. </th>
          <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>
      
        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>
      
        <!-- Weight Column -->
        <ng-container matColumnDef="descripbe">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> descripbe </th>
          <td mat-cell *matCellDef="let element"> {{element.descripbe}} </td>
        </ng-container>
      
        <!-- Symbol Column -->
        <ng-container matColumnDef="type">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> type </th>
          <td mat-cell *matCellDef="let element"> {{element.type}} </td>
        </ng-container>
      
        <!-- Symbol Column -->
        <ng-container matColumnDef="submit">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> submit </th>
          <td mat-cell *matCellDef="let element">
            <button mat-button routerLink="/updateproducts/{{element.id}}">Edit</button>
            <span style="margin: 0 10px"></span>
            <button mat-button (click)="deleteProduct(element.id)">Delete</button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
<!-- /// -->

<!-- <div class="">
    <div cdkDropList class="list" (cdkDropListDropped)="drop($event)">
      <div >
        
        <table class="table table-bordered" mat-table #table [dataSource]="dataSource" matSort>
            <thead>
                <tr>
                  <th scope="col">User Id</th>
                  <th scope="col">Name</th>
                  <th scope="col">Descripbe</th>
                  <th scope="col">Type</th>
                </tr>
            </thead>
            <tbody>
                <tr class="" *ngFor="let item of Product" cdkDrag>
                  <td>{{item.id}}</td>
                  <td> {{item.name}}</td>
                  <td>{{item.descripbe}}</td>
                  <td>
                      <span class="edit" routerLink="/updateproducts/{{item.id}}">Edit</span>
                      <span style="margin: 0 10px"></span>
                      <span class="delete" (click)="deleteProduct(item.id)">Delete</span>
                  </td>
                </tr>
            </tbody>
        </table>
     
      </div>
    </div>
</div>

<mat-paginator   [length]="100"
              [pageSize]="10"
              [pageSizeOptions]="[5, 10, 25, 100]">
</mat-paginator> -->
  <!-- <div class="example-container">
    <h2>Done</h2>
  
    <div cdkDropList #doneList="cdkDropList" [cdkDropListData]="done" [cdkDropListConnectedTo]="[todoList]" class="example-list" (cdkDropListDropped)="drop($event)">
      <div class="example-box" *ngFor="let item of ProductsListData" cdkDrag>{{item.name}} : {{item.descripbe}}</div>
    </div>
  </div> -->
</div>